%define major		2
%define api		1
%define libname		%mklibname %{name} %{api} %{major}
%define girname		%mklibname %{name}-gir %{api}
%define develname	%mklibname -d %{name}

%define url_ver		%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	A flexible API to implement spell checking in a GTK+ application
Name:		gspell
Version:	1.12.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Development/Other
Url:		https://wiki.gnome.org/Projects/gspell
Source0:	https://download.gnome.org/sources/%name/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.6.3
BuildRequires:	pkgconfig(gthread-2.0)

BuildRequires:	pkgconfig(glib-2.0) >= 2.44
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.16
BuildRequires:	pkgconfig(gtksourceview-3.0) >= 3.16
BuildRequires:	pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires:	pkgconfig(iso-codes) >= 0.35
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(enchant-2)

BuildRequires:	pkgconfig(readline)
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	gnome-common
BuildRequires:	gettext-devel

%description
gspell provides a flexible API to implement spell checking in a GTK+
application.

%package i18n
Summary:	A flexible API to implement spell checking in a GTK+ application
Requires:	%libname = %version-%release

%description i18n
gspell provides a flexible API to implement spell checking in a GTK+
application.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %libname
Group:		System/Libraries
Summary:	A flexible API to implement spell checking in a GTK+ application
Requires:	%{name}-i18n

%description -n %libname
gspell provides a flexible API to implement spell checking in a GTK+
application.

%package -n %develname
Summary:	A flexible API to implement spell checking in a GTK+ application
Group:		Development/C
Requires:	%libname = %version-%release
Requires:	%girname = %version-%release
Provides:	%name-devel = %version-%release
Provides:	lib%name-devel = %version-%release

%description -n %develname
gspell provides a flexible API to implement spell checking in a GTK+
application.

%prep
%autosetup

%build
%configure --enable-gtk-doc --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}-%{api}

%files i18n -f %{name}-%{api}.lang
%doc README AUTHORS

%files -n %libname
%{_libdir}/libgspell-%{api}.so.%{major}{,.*}

%files -n %develname
%doc ChangeLog
%{_bindir}/gspell-app1
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_includedir}/%{name}-%{api}
%{_datadir}/gtk-doc/html/%{name}-1.0
%{_datadir}/vala/vapi/%{name}-%{api}.deps
%{_datadir}/vala/vapi/%{name}-%{api}.vapi
%{_datadir}/gir-1.0/Gspell-%{api}.gir

%files -n %girname
%{_libdir}/girepository-1.0/Gspell-%{api}.typelib


%changelog
* Tue Sep 26 2023 tv <tv> 1.12.2-2.mga10
+ Revision: 1991118
- Rebuild for icu-73

* Wed Aug 30 2023 daviddavid <daviddavid> 1.12.2-1.mga10
+ Revision: 1981667
- new version 1.12.2

* Mon May 01 2023 daviddavid <daviddavid> 1.12.1-1.mga9
+ Revision: 1955505
- new version 1.12.1

* Sat Jan 07 2023 squidf <squidf> 1.12.0-2.mga9
+ Revision: 1931122
- Mass rebuild for icu 72.1

* Sun Oct 23 2022 ghibo <ghibo> 1.12.0-1.mga9
+ Revision: 1898698
- Update to release 1.12.0

* Sat Jun 18 2022 squidf <squidf> 1.10.0-2.mga9
+ Revision: 1864856
- rebuild for icu 71.1

* Tue Apr 19 2022 ovitters <ovitters> 1.10.0-1.mga9
+ Revision: 1851609
- new version 1.10.0

* Thu Mar 31 2022 umeabot <umeabot> 1.9.1-3.mga9
+ Revision: 1836265
- Mageia 9 Mass Rebuild

* Wed Aug 04 2021 luigiwalser <luigiwalser> 1.9.1-2.mga9
+ Revision: 1739336
- rebuild for icu

* Sat Feb 27 2021 daviddavid <daviddavid> 1.9.1-1.mga9
+ Revision: 1692583
- new version: 1.9.1

* Fri Sep 04 2020 ovitters <ovitters> 1.8.4-1.mga8
+ Revision: 1621656
- new version 1.8.4

* Wed Apr 22 2020 ovitters <ovitters> 1.8.3-3.mga8
+ Revision: 1570846
- rebuild for to test removal of deprecated macros

* Wed Feb 19 2020 umeabot <umeabot> 1.8.3-2.mga8
+ Revision: 1544314
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 ovitters <ovitters> 1.8.3-1.mga8
+ Revision: 1482817
- new version 1.8.3
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Fri Sep 06 2019 ovitters <ovitters> 1.8.2-1.mga8
+ Revision: 1437919
- new version 1.8.2

* Sun Sep 23 2018 umeabot <umeabot> 1.8.1-2.mga7
+ Revision: 1298094
- Mageia 7 Mass Rebuild

* Sat Jun 16 2018 ovitters <ovitters> 1.8.1-1.mga7
+ Revision: 1237251
- new version 1.8.1

* Wed Mar 14 2018 tv <tv> 1.8.0-1.mga7
+ Revision: 1209180
- fix major thus filelist
+ ovitters <ovitters>
- new version 1.8.0
- new version 1.7.1

* Sun Oct 29 2017 ovitters <ovitters> 1.6.1-1.mga7
+ Revision: 1174536
- new version 1.6.1

* Sun Sep 10 2017 ovitters <ovitters> 1.6.0-1.mga7
+ Revision: 1152433
- new version 1.6.0

* Mon Aug 21 2017 ovitters <ovitters> 1.5.4-1.mga7
+ Revision: 1142576
- new version 1.5.4

* Sat Aug 19 2017 ovitters <ovitters> 1.4.2-1.mga7
+ Revision: 1141668
- new version 1.4.2

* Sun Apr 09 2017 ovitters <ovitters> 1.4.1-1.mga6
+ Revision: 1096176
- new version 1.4.1

* Tue Mar 21 2017 ovitters <ovitters> 1.4.0-1.mga6
+ Revision: 1094065
- new version 1.4.0

* Fri Feb 24 2017 ovitters <ovitters> 1.2.3-1.mga6
+ Revision: 1087611
- new version 1.2.3

* Fri Dec 16 2016 ovitters <ovitters> 1.2.2-1.mga6
+ Revision: 1075705
- new version 1.2.2

* Sun Nov 06 2016 ovitters <ovitters> 1.2.1-1.mga6
+ Revision: 1065522
- new version 1.2.1

* Mon Sep 26 2016 tv <tv> 1.2.0-2.mga6
+ Revision: 1056885
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sun Sep 18 2016 ovitters <ovitters> 1.2.0-1.mga6
+ Revision: 1053772
- new version 1.2.0

* Sun Jun 12 2016 ovitters <ovitters> 1.0.2-1.mga6
+ Revision: 1021273
- new version 1.0.2

* Sun Apr 10 2016 ovitters <ovitters> 1.0.1-1.mga6
+ Revision: 1000082
- new version 1.0.1

* Sun Mar 20 2016 wally <wally> 1.0.0-1.mga6
+ Revision: 993151
- fix lib pkg name
- new libmajor 1
- require gir typelib pkg in devel pkg
+ ovitters <ovitters>
- new version 1.0.0

* Sun Mar 13 2016 ovitters <ovitters> 0.2.6-1.mga6
+ Revision: 990280
- new version 0.2.6

* Sun Mar 13 2016 ovitters <ovitters> 0.2.5-1.mga6
+ Revision: 990219
- new version 0.2.5

* Mon Feb 15 2016 ovitters <ovitters> 0.2.4-1.mga6
+ Revision: 960981
- new version 0.2.4

* Sun Jan 17 2016 ovitters <ovitters> 0.2.3-1.mga6
+ Revision: 925118
- new version 0.2.3

* Sun Dec 13 2015 ovitters <ovitters> 0.2.2-1.mga6
+ Revision: 910258
- new version 0.2.2

* Mon Nov 23 2015 ovitters <ovitters> 0.2.1-1.mga6
+ Revision: 905117
- new version 0.2.1
- new version 0.1.2

* Sun Nov 08 2015 ovitters <ovitters> 0.1.1-1.mga6
+ Revision: 898718
- new version 0.1.1

* Wed Oct 14 2015 ovitters <ovitters> 0.1.0-1.mga6
+ Revision: 891635
- imported package gspell

